classification
Title: No documentation for C type Py_Ellipsis
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: MSeifert, Mariatta, docs@python, serhiy.storchaka
Priority: normal Keywords:

Created on 2017-04-12 17:25 by MSeifert, last changed 2017-04-15 02:05 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1018 merged MSeifert, 2017-04-12 17:25
PR 1147 merged MSeifert, 2017-04-15 01:38
PR 1148 merged MSeifert, 2017-04-15 01:38
PR 1149 merged MSeifert, 2017-04-15 01:38
Messages (8)
msg291567 - (view) Author: Michael Seifert (MSeifert) * Date: 2017-04-12 17:25
The "Py_Ellipsis" object is part of the public C-API but it isn't documented anywhere.

It is defined in "sliceobject.o/.h" so I created a PR and added it to the "slice" documentation.
msg291570 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-12 19:01
I'm wondering if it is worth to add a separate section for Ellipsis at the same level as "Slice Objects", but in the same file. See for example "Instance Method Objects" and "Method Objects" in method.rst.
msg291571 - (view) Author: Michael Seifert (MSeifert) * Date: 2017-04-12 19:29
> I'm wondering if it is worth to add a separate section for Ellipsis at the same level as "Slice Objects", but in the same file.

I'm not sure either. 

There seems to be no precedent in the documentation, for example "Py_NotImplemented" is also just another (but mentioned first) point in the Object protocol [https://docs.python.org/3/c-api/object.html#object-protocol] and "Py_None" even has a complete page [https://docs.python.org/3/c-api/none.html].
msg291607 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-13 12:31
There are precedences in tuple.rst and method.rst.
msg291679 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-14 19:18
New changeset 0dc5c3169dcd4853612d11ed8c92b12fa210c07f by Serhiy Storchaka (Michael Seifert) in branch 'master':
bpo-30059: Include Py_Ellipsis in C API documentation (#1018)
https://github.com/python/cpython/commit/0dc5c3169dcd4853612d11ed8c92b12fa210c07f
msg291693 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-04-15 02:03
New changeset 05bfbcd233b2f5ba0d0634a380092d6ead6b35e1 by Mariatta (Michael Seifert) in branch '3.6':
[3.6] bpo-30059: Include Py_Ellipsis in C API documentation (GH-1018) (GH-1149)
https://github.com/python/cpython/commit/05bfbcd233b2f5ba0d0634a380092d6ead6b35e1
msg291694 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-04-15 02:04
New changeset 0b46fcf45afe32402b34240770e01be9b5da3031 by Mariatta (Michael Seifert) in branch '2.7':
[2.7] bpo-30059: Include Py_Ellipsis in C API documentation (GH-1018) (GH-1147)
https://github.com/python/cpython/commit/0b46fcf45afe32402b34240770e01be9b5da3031
msg291695 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-04-15 02:05
New changeset f40e72dbe60038eae69bc72e207ac47851d96752 by Mariatta (Michael Seifert) in branch '3.5':
[3.5] bpo-30059: Include Py_Ellipsis in C API documentation (GH-1018) (GH-1148)
https://github.com/python/cpython/commit/f40e72dbe60038eae69bc72e207ac47851d96752
History
Date User Action Args
2017-04-15 02:05:54Mariattasetstatus: open -> closed
resolution: fixed
stage: backport needed -> resolved
2017-04-15 02:05:02Mariattasetmessages: + msg291695
2017-04-15 02:04:24Mariattasetmessages: + msg291694
2017-04-15 02:03:44Mariattasetnosy: + Mariatta
messages: + msg291693
2017-04-15 01:38:50MSeifertsetpull_requests: + pull_request1280
2017-04-15 01:38:28MSeifertsetpull_requests: + pull_request1279
2017-04-15 01:38:26MSeifertsetpull_requests: + pull_request1278
2017-04-14 19:42:35serhiy.storchakasetstage: backport needed
2017-04-14 19:18:37serhiy.storchakasetmessages: + msg291679
2017-04-13 12:31:36serhiy.storchakasetmessages: + msg291607
2017-04-12 19:29:25MSeifertsetmessages: + msg291571
2017-04-12 19:01:37serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg291570
2017-04-12 17:25:17MSeifertcreate